summaryrefslogtreecommitdiffstats
path: root/lsinitramfs
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 05:42:59 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 05:42:59 +0000
commitc45bd7dca7394d3a25f5bbf416f3b75c50759190 (patch)
treef7dbbfcc2f6b787eea456d1f1e28525ca2ceb9ba /lsinitramfs
parentInitial commit. (diff)
downloadinitramfs-tools-upstream.tar.xz
initramfs-tools-upstream.zip
Adding upstream version 0.143.upstream/0.143upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'lsinitramfs')
-rwxr-xr-xlsinitramfs58
1 files changed, 58 insertions, 0 deletions
diff --git a/lsinitramfs b/lsinitramfs
new file mode 100755
index 0000000..8d2a967
--- /dev/null
+++ b/lsinitramfs
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+set -eu
+
+usage()
+{
+ cat << EOF
+
+Usage: lsinitramfs [-l] initramfs-file...
+
+Options:
+ -l Display long and more verbose listing of initramfs content
+
+See lsinitramfs(8) for further details.
+
+EOF
+}
+
+usage_error()
+{
+ usage >&2
+ exit 2
+}
+
+umi_opts="--list"
+
+OPTIONS=$(getopt -o hl --long help,long -n "$0" -- "$@") || usage_error
+
+eval set -- "$OPTIONS"
+
+while true; do
+ case "$1" in
+ -h|--help)
+ usage
+ exit 0
+ ;;
+ -l|--long)
+ umi_opts="${umi_opts:+${umi_opts} --verbose}"
+ shift
+ ;;
+ --)
+ shift
+ break
+ ;;
+ *)
+ echo "Internal error!" >&2
+ exit 1
+ esac
+done
+
+if [ "$#" -eq 0 ] ; then
+ usage_error
+fi
+
+for initramfs in "$@" ; do
+ # shellcheck disable=SC2086
+ unmkinitramfs $umi_opts -- "$initramfs"
+done